MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001517XdebugRemote Debuggingpublic2018-01-17 16:402018-01-22 18:21
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0beta1 
Target Version2.6.0Fixed in Version2.6.0rc1 
Summary0001517: Notifications incorrectly specify the error type in "type_string" instead of "type"
Description <notify xmlns="urn:debugger_protocol_v1"
         xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^]
         name="error">
   <xdebug:message filename="file:///tmp/xdebug-dbgp-test.php" [^]
                   lineno="3"
                   type_string="Notice">
        <![CDATA[Undefined variable: bar]]>
    </xdebug:message>
</notify>

Should be:

 <notify xmlns="urn:debugger_protocol_v1"
         xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^]
         name="error">
   <xdebug:message filename="file:///tmp/xdebug-dbgp-test.php" [^]
                   lineno="3"
                   type="Notice">
        <![CDATA[Undefined variable: bar]]>
    </xdebug:message>
</notify>
TagsNo tags attached.
Operating System
PHP Version7.2.0-7.2.4
Attached Files

- Relationships

-  Notes
(0004563)
derick (administrator)
2018-01-18 08:16

Fixed in GIT

- Issue History
Date Modified Username Field Change
2018-01-17 16:40 derick New Issue
2018-01-18 08:16 derick Note Added: 0004563
2018-01-18 08:16 derick Status new => closed
2018-01-18 08:16 derick Assigned To => derick
2018-01-18 08:16 derick Resolution open => fixed
2018-01-18 08:16 derick Fixed in Version => 2.6.0
2018-01-22 18:21 derick Fixed in Version 2.6.0 => 2.6.0rc1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker